Package be.fgov.ehealth.dics.protocol.v5

# Class FindByGenericPrescriptionGroupType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.FindByGenericPrescriptionGroupType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindByGenericPrescriptionGroupType extends Object implements Serializable

Java class for FindByGenericPrescriptionGroupType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByGenericPrescriptionGroupType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="GenericPrescriptionGroupCode" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="AnyNamePart" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindByGenericPrescriptionGroupType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnyNamePart()`
  Gets the value of the anyNamePart property.
  `Integer`
  `getGenericPrescriptionGroupCode()`
  Gets the value of the genericPrescriptionGroupCode property.
  `void`
  `setAnyNamePart(String value)`
  Sets the value of the anyNamePart property.
  `void`
  `setGenericPrescriptionGroupCode(Integer value)`
  Sets the value of the genericPrescriptionGroupCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindByGenericPrescriptionGroupType

    public FindByGenericPrescriptionGroupType()

- ## Method Details

  - ### getAnyNamePart

    public String getAnyNamePart()
    Gets the value of the anyNamePart property.
    Returns:
      possible object is `String`

  - ### setAnyNamePart

    public void setAnyNamePart(String value)
    Sets the value of the anyNamePart property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGenericPrescriptionGroupCode

    public Integer getGenericPrescriptionGroupCode()
    Gets the value of the genericPrescriptionGroupCode property.
    Returns:
      possible object is `Integer`

  - ### setGenericPrescriptionGroupCode

    public void setGenericPrescriptionGroupCode(Integer value)
    Sets the value of the genericPrescriptionGroupCode property.
    Parameters:
      `value` - allowed object is `Integer`